package vip.xiaonuo.modular.env.envdata.entity.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import vip.xiaonuo.modular.env.entity.EnvDeviceEquipment;

import java.math.BigDecimal;
import java.sql.Date;
import java.util.List;

@Data
public class EnvDataRecentVo {
    @ApiModelProperty(value = "温度", position = 1)
    private BigDecimal temp;

    @ApiModelProperty(value = "湿度", position = 2)
    private BigDecimal hum;

    @ApiModelProperty(value = "位置", position = 3)
    private String location;

    @ApiModelProperty(value = "栋舍ID", position = 4)
    private String pigpenId;

    @ApiModelProperty(value = "设备列表", position = 5)
    private List<EnvDeviceEquipment> list;
}
