package vip.xiaonuo.modular.base.inventoryUse.entity.vo;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;
import java.util.Date;

@Getter
@Setter
public class InventoryUseVo {
    /** ID */
    @ApiModelProperty(value = "ID", position = 1)
    private String id;

    /** 物资编号 */
    @ApiModelProperty(value = "物资编号", position = 2)
    private String itemCode;

    /** 物资名称 */
    @ApiModelProperty(value = "物资名称", position = 3)
    private String itemName;

    /** 物资类别 */
    @ApiModelProperty(value = "物资类别", position = 4)
    private String itemType;

    /** 品牌 */
    @ApiModelProperty(value = "品牌", position = 5)
    private String brand;

    /** 型号规格 */
    @ApiModelProperty(value = "型号规格", position = 6)
    private String specification;

    /** 单位 */
    @ApiModelProperty(value = "单位", position = 7)
    private String unit;

    /** 仓库ID */
    @ApiModelProperty(value = "仓库ID", position = 8)
    private String warehouseId;

    /** 领用时间 */
    @ApiModelProperty(value = "领用时间", position = 9)
    private Date useTime;

    /** 领用数量 */
    @ApiModelProperty(value = "领用数量", position = 10)
    private BigDecimal useQuantity;

    /** 领用部门 */
    @ApiModelProperty(value = "领用部门", position = 11)
    private String useDepartmentName;

    /** 领用人 */
    @ApiModelProperty(value = "领用人", position = 12)
    private String userName;

    /** 归还时间 */
    @ApiModelProperty(value = "归还时间", position = 13)
    private Date returnTime;
}
